fse.vo

## Class AccessLog

- java.lang.Object
- - fse.vo.AccessLog

-     public class AccessLog
      extends Object

  Contiene i dati di un singolo accesso al fascicolo di un assistito

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private String` | `actionId`
    `private String` | `assumptionOfResponsability`
    `private String` | `categoriaSoggetto`
    `private String` | `confidentialityCode`
    `private Date` | `date`
    `private String` | `description`
    `private String` | `documentId`
    `private String` | `documentType`
    `private DocumentURI` | `documentURI`
    `private boolean` | `emergency`
    `private String` | `eventCodeList`
    `private boolean` | `failed`
    `private String` | `locality`
    `private String` | `operation`
    `private String` | `operatorCode`
    `private String` | `organizationCode`
    `private String` | `organizationName`
    `private String` | `permission`
    `private String` | `role`
    `private String` | `trattamento`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessLog()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActionId()` Restituisce la actionId
    `String` | `getAssumptionOfResponsability()` Restituisce l'assunzione di responsabilit� specificata per gli accessi in regime di emergenza.
    `String` | `getCategoriaSoggetto()` Restituisce la categoria soggetto
    `String` | `getConfidentialityCode()` Restituisce il confidentiality code
    `Date` | `getDate()` Restituisce la data dell'operazione.
    `String` | `getDescription()` Restituisce una descrizione testuale dell'operazione e dell'esito che ha ottenuto.
    `String` | `getDocumentId()`
    `String` | `getDocumentType()` Restituisce il tipo di documento, codificato secondo la codifica LOINC, su cui l'operazione ha avuto effetto (se disponibile).
    `DocumentURI` | `getDocumentURI()` Restituisce l'identificativo del documento su cui l'operazione ha avuto effetto (se disponibile).
    `String` | `getEventCodeList()` Restituisce il tipo oscuramento
    `String` | `getLocality()` Restituisce la struttura da cui si � effettuato l'accesso
    `String` | `getOperation()` Restituisce l'operazione richiesta.
    `String` | `getOperatorCode()` Restituisce il codice fiscale dell'operatore che ha effettuato la richiesta.
    `String` | `getOrganizationCode()` Restituisce il codice dell'organizzazione con cui si � effettuato l'accesso
    `String` | `getOrganizationName()` Restituisce il nome dell'organizzazione con cui si � effettuato l'accesso
    `String` | `getPermission()`
    `String` | `getRole()` Restituisce il ruolo istituzionale con cui si � effettuato l'accesso
    `String` | `getTrattamento()` Restituisce il tipo di trattamento o purposeOfUse
    `boolean` | `isEmergency()` Restituisce un flag che indica se la richiesta � stata fatta in regime di emergenza.
    `boolean` | `isFailed()` Restituisce un flag che indica se l'operazione richiesta ha generato errori.
    `void` | `setActionId(String actionId)` Imposta la actionId
    `void` | `setAssumptionOfResponsability(String assumptionOfResponsability)` Imposta l'assunzione di responsabilit� specificata per gli accessi in regime di emergenza.
    `void` | `setCategoriaSoggetto(String categoriaSoggetto)` Imposta la categoria soggetto
    `void` | `setConfidentialityCode(String confidentialityCode)` Imposta il confidentiality code
    `void` | `setDate(Date date)` Imposta la data dell'operazione
    `void` | `setDescription(String description)` Imposta una descrizione testuale dell'operazione e dell'esito che ha ottenuto.
    `void` | `setDocumentId(String documentId)`
    `void` | `setDocumentType(String documentType)` Imposta il tipo di documento, codificato secondo la codifica LOINC, su cui l'operazione ha avuto effetto (se applicabile).
    `void` | `setDocumentURI(DocumentURI documentURI)` Imposta l'identificativo del documento su cui l'operazione ha avuto effetto (se applicabile).
    `void` | `setEmergency(boolean emergency)` Imposta il flag che indica se la richiesta � stata fatta in regime di emergenza
    `void` | `setEventCodeList(String eventCodeList)` Imposta il tipo di oscuramento
    `void` | `setFailed(boolean failed)` Imposta il flag che indica se l'operazione richiesta ha generato errori
    `void` | `setLocality(String locality)` Imposta la struttura da cui si � effettuato l'accesso
    `void` | `setOperation(String operation)` Imposta l'operazione richiesta.
    `void` | `setOperatorCode(String operatorCode)` Imposta il codice fiscale dell'operatore che ha effettuato la richiesta
    `void` | `setOrganizationCode(String organizationCode)` Imposta il codice dell'organizzazione con cui si � effettuato l'accesso
    `void` | `setOrganizationName(String organizationName)` Imposta il nome dell'organizzazione con cui si � effettuato l'accesso
    `void` | `setPermission(String permission)`
    `void` | `setRole(String role)` Imposta il ruolo istituzionale con cui si � effettuato l'accesso
    `void` | `setTrattamento(String trattamento)` Imposta il tipo di trattamento o purposeOfUse

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### operatorCode

          private String operatorCode

    - #### date

          private Date date

    - #### operation

          private String operation

    - #### description

          private String description

    - #### documentURI

          private DocumentURI documentURI

    - #### documentType

          private String documentType

    - #### failed

          private boolean failed

    - #### emergency

          private boolean emergency

    - #### assumptionOfResponsability

          private String assumptionOfResponsability

    - #### role

          private String role

    - #### organizationCode

          private String organizationCode

    - #### organizationName

          private String organizationName

    - #### locality

          private String locality

    - #### permission

          private String permission

    - #### trattamento

          private String trattamento

    - #### documentId

          private String documentId

    - #### actionId

          private String actionId

    - #### eventCodeList

          private String eventCodeList

    - #### categoriaSoggetto

          private String categoriaSoggetto

    - #### confidentialityCode

          private String confidentialityCode

  - ### Constructor Detail

    - #### AccessLog

          public AccessLog()

  - ### Method Detail

    - #### getOperatorCode

          public String getOperatorCode()

      Restituisce il codice fiscale dell'operatore che ha effettuato la richiesta. Parametro facoltativo.
      Returns:
        il codice fiscale dell'operatore

    - #### setOperatorCode

          public void setOperatorCode(String operatorCode)

      Imposta il codice fiscale dell'operatore che ha effettuato la richiesta
      Parameters:
        `operatorCode` - il codice fiscale dell'operatore

    - #### getDate

          public Date getDate()

      Restituisce la data dell'operazione. Parametro obbligatorio.
      Returns:
        la data dell'operazione

    - #### setDate

          public void setDate(Date date)

      Imposta la data dell'operazione
      Parameters:
        `date` - la data dell'operazione

    - #### getOperation

          public String getOperation()

      Restituisce l'operazione richiesta. Questa coincide con il servizio richiamato e pu� assumere uno tra i seguenti valori.
      - addDocument
      - updateDocument
      - queryDocument
      - retrieveDocument
      - setAccessPolicies
      - getAccessPolicies
      - setReadingAgreement
      - setWritingAgreement
      - getReadingAgreement
      - qetWritingAgreement
      - blindDocument
      Parametro obbligatorio.
      Returns:
        l'operazione richiesta

    - #### setOperation

          public void setOperation(String operation)

      Imposta l'operazione richiesta. Questa coincide con il servizio richiamato e pu� assumere uno tra i seguenti valori.
      - addDocument
      - updateDocument
      - queryDocument
      - retrieveDocument
      - setAccessPolicies
      - getAccessPolicies
      - setReadingAgreement
      - setWritingAgreement
      - getReadingAgreement
      - qetWritingAgreement
      - blindDocument
      Parameters:
        `operation` - l'operazione richiesta

    - #### getDescription

          public String getDescription()

      Restituisce una descrizione testuale dell'operazione e dell'esito che ha ottenuto. Parametro obbligatorio.
      Returns:
        la descrizione testuale dell'operazione

    - #### setDescription

          public void setDescription(String description)

      Imposta una descrizione testuale dell'operazione e dell'esito che ha ottenuto.
      Parameters:
        `description` - la descrizione dell'operazione

    - #### getDocumentURI

          public DocumentURI getDocumentURI()

      Restituisce l'identificativo del documento su cui l'operazione ha avuto effetto (se disponibile). Parametro facoltativo.
      Returns:
        l'eventuale identificativo del documento

    - #### setDocumentURI

          public void setDocumentURI(DocumentURI documentURI)

      Imposta l'identificativo del documento su cui l'operazione ha avuto effetto (se applicabile).
      Parameters:
        `documentURI` - l'eventuale identificativo del documento

    - #### getDocumentType

          public String getDocumentType()

      Restituisce il tipo di documento, codificato secondo la codifica LOINC, su cui l'operazione ha avuto effetto (se disponibile). Parametro facoltativo.
      Per un elenco dei possibili tipi di documento consultare le Specifiche di Integrazione.
      Returns:
        il tipo di documento secondo la codifica LOINC

    - #### setDocumentType

          public void setDocumentType(String documentType)

      Imposta il tipo di documento, codificato secondo la codifica LOINC, su cui l'operazione ha avuto effetto (se applicabile).
      Per un elenco dei possibili tipi di documento consultare le Specifiche di Integrazione.
      Parameters:
        `documentType` - il tipo di documento secondo la codifica LOINC

    - #### isFailed

          public boolean isFailed()

      Restituisce un flag che indica se l'operazione richiesta ha generato errori. Parametro obbligatorio.
      Returns:
        `true` se l'operazione � fallita, `false` se eseguita correttamente

    - #### setFailed

          public void setFailed(boolean failed)

      Imposta il flag che indica se l'operazione richiesta ha generato errori
      Parameters:
        `failed` - `true` se l'operazione � fallita, `false` se eseguita correttamente

    - #### isEmergency

          public boolean isEmergency()

      Restituisce un flag che indica se la richiesta � stata fatta in regime di emergenza. Parametro obbligatorio.
      Returns:
        `true` se l'operazione � stata effettuata in emergenza, `false` altrimenti

    - #### setEmergency

          public void setEmergency(boolean emergency)

      Imposta il flag che indica se la richiesta � stata fatta in regime di emergenza
      Parameters:
        `emergency` - `true` se l'operazione � stata effettuata in emergenza, `false` altrimenti

    - #### getAssumptionOfResponsability

          public String getAssumptionOfResponsability()

      Restituisce l'assunzione di responsabilit� specificata per gli accessi in regime di emergenza. Applicabile solo se `emergency` � `true`. Parametro facoltativo.
      Returns:
        l'assunzione di responsabilit� specificata

    - #### setAssumptionOfResponsability

          public void setAssumptionOfResponsability(String assumptionOfResponsability)

      Imposta l'assunzione di responsabilit� specificata per gli accessi in regime di emergenza. Applicabile solo se `emergency` � `true`
      Parameters:
        `assumptionOfResponsability` - l'assunzione di responsabilit� specificata

    - #### getRole

          public String getRole()

      Restituisce il ruolo istituzionale con cui si � effettuato l'accesso
      Returns:
        il ruolo istituzionale

    - #### setRole

          public void setRole(String role)

      Imposta il ruolo istituzionale con cui si � effettuato l'accesso
      Parameters:
        `role` - il nuovo ruolo istituzionale

    - #### getOrganizationCode

          public String getOrganizationCode()

      Restituisce il codice dell'organizzazione con cui si � effettuato l'accesso
      Returns:
        il codice dell'organizzazione

    - #### setOrganizationCode

          public void setOrganizationCode(String organizationCode)

      Imposta il codice dell'organizzazione con cui si � effettuato l'accesso
      Parameters:
        `organizationCode` - il nuovo codice dell'organizzazione

    - #### getOrganizationName

          public String getOrganizationName()

      Restituisce il nome dell'organizzazione con cui si � effettuato l'accesso
      Returns:
        il nome dell'organizzazione

    - #### setOrganizationName

          public void setOrganizationName(String organizationName)

      Imposta il nome dell'organizzazione con cui si � effettuato l'accesso
      Parameters:
        `organizationName` - il nome dell'organizzazione

    - #### getLocality

          public String getLocality()

      Restituisce la struttura da cui si � effettuato l'accesso
      Returns:
        il nome della struttura

    - #### setLocality

          public void setLocality(String locality)

      Imposta la struttura da cui si � effettuato l'accesso
      Parameters:
        `locality` - il nuovo nome della struttura

    - #### getPermission

          public String getPermission()

    - #### setPermission

          public void setPermission(String permission)

    - #### getTrattamento

          public String getTrattamento()

      Restituisce il tipo di trattamento o purposeOfUse
      Returns:
        il tipo di trattamento o purposeOfUse

    - #### setTrattamento

          public void setTrattamento(String trattamento)

      Imposta il tipo di trattamento o purposeOfUse
      Parameters:
        `il` - tipo di trattamento o purposeOfUse

    - #### getDocumentId

          public String getDocumentId()

    - #### setDocumentId

          public void setDocumentId(String documentId)

    - #### getActionId

          public String getActionId()

      Restituisce la actionId
      Returns:
        actionId

    - #### setActionId

          public void setActionId(String actionId)

      Imposta la actionId
      Parameters:
        `actionId` -

    - #### getEventCodeList

          public String getEventCodeList()

      Restituisce il tipo oscuramento
      Returns:
        tipo di oscuramento

    - #### setEventCodeList

          public void setEventCodeList(String eventCodeList)

      Imposta il tipo di oscuramento
      Parameters:
        `il` - tipo di oscuramento

    - #### getCategoriaSoggetto

          public String getCategoriaSoggetto()

      Restituisce la categoria soggetto
      Returns:
        la categoria soggetto

    - #### setCategoriaSoggetto

          public void setCategoriaSoggetto(String categoriaSoggetto)

      Imposta la categoria soggetto
      Parameters:
        `la` - categoria soggetto

    - #### getConfidentialityCode

          public String getConfidentialityCode()

      Restituisce il confidentiality code
      Returns:
        il confidentiality code

    - #### setConfidentialityCode

          public void setConfidentialityCode(String confidentialityCode)

      Imposta il confidentiality code
      Parameters:
        `il` - confidentiality code